using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterBaseSpotInfoService
    {
        public RESTfulResult<List<MeterBaseSpotInfo>> doQueryWf(MeterBaseSpotInfo info) 
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseSpotInfo>>> rm = db.doOption<PageList<List<MeterBaseSpotInfo>>>("meterbasespotinfos", "/", new object[] { info }, 0);
            
            RESTfulResult<List<MeterBaseSpotInfo>> lt = new RESTfulResult<List<MeterBaseSpotInfo>>();
            lt.Succeed = rm.Succeed;
            lt.Message = rm.Message;
            lt.ResultMessage = rm.ResultMessage;
            lt.Data = rm.Data == null ? null : rm.Data.list;

            return lt;
        }
    }
}
